v1.0
get
/ec-auth-svc/rest/v1.0/authstudies/{studyId}/users/{userId}/userrights
Retrieves the list of all rights in a study for a given user.
Request
Path Parameters
-
studyId(required): string(uuid)
Study IDExample:
ABE31741A0E945F6B827048B279F2F19 -
userId(required): string(uuid)
User IDExample:
ABE31741A0E945F6B827048B279F2F19
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Success
400 Response
Bad request
Root Schema : AuthResponse
Type:
objectGeneric API response wrapper containing result, error data, response version and status.
Show Source
-
errorData: object
ErrorResponseData
Title:
ErrorResponseDataError Response Details Information -
result: object
result
Result data of the API response; actual type depends on the API
-
status: string
(none)
Indicates request success ("success") or failure ("failure").Example:
success -
version: integer
(int32)
Version of the response schema.Example:
1
Nested Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : result
Type:
objectResult data of the API response; actual type depends on the API
Example:
oracle.doceng.json.BetterJsonNull@65719c12Nested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.